package com.lantone.structure.controller;

import com.lantone.structure.dto.AnalysisDTO;
import com.lantone.structure.dto.RespDTO;
import com.lantone.structure.facade.StructureFacade;
import com.lantone.structure.vo.AnalysisVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(value = "后结构化接口", tags = { "后结构化接口" })
@RestController
@RequestMapping(value = "/lt/structure")
public class StructureController {

    @Autowired
    private StructureFacade structureFacade;

    @ApiOperation(value = "解析")
    @PostMapping("analysis")
    public RespDTO<AnalysisDTO> analysis(@RequestBody AnalysisVO analysisVO) {
        return RespDTO.onSuc(structureFacade.analysis(analysisVO));
    }

}